--
-- schema to store artifacts in H2 databases.
--

BEGIN;

CREATE TABLE artifacts (
    id          INT AUTO_INCREMENT PRIMARY KEY NOT NULL,
    gid         UUID      NOT NULL UNIQUE,
    creation    TIMESTAMP NOT NULL,
    last_access TIMESTAMP NOT NULL,
    ttl         TIME, -- NULL means eternal
    data        BINARY
);

COMMIT;
